Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hyperion.css.application
Interface CSSApplicationIF

All Known Implementing Classes:
  MyApp

public interface CSSApplicationIF

This is the contract that the applications need to implement. An implementation of this must be passed into the `CSSAPIIF.initialize(CSSApplicationIF)` in order to initialize the security platform.

Since:
  CSSv2.0

Method Summary
`java.net.URL` | `getConfigFile()` Get the file that contains the XML-based configuration for the security platform to initialize.
`java.lang.String[]` | `getUserIdentities()` Deprecated.
`void` | `log(java.lang.String message)` Logs the message in the application-specific log.
`void` | `reAssignIdentity(java.lang.String originalIdentity, java.lang.String newIdentity)` Deprecated.

Method Detail

### getConfigFile

    public java.net.URL getConfigFile()
                               throws CSSException

  Get the file that contains the XML-based configuration for the security platform to initialize.

  Returns:
    URL- the url for the configuration file
  Throws:
    `CSSException` - - any abnormality

### log

    public void log(java.lang.String message)

  Logs the message in the application-specific log. It is the responsibilty of the application to format the message and save it in a thread-safe way to the application log file.

  Parameters:
    `message` - Statement from the security platform that has to be logged by the application.

### getUserIdentities

    public java.lang.String[] getUserIdentities()
                                         throws CSSException

  Deprecated.

  Gets all user identity attributes from the application store. Users that have an identity are known to be stored in an external authentication repository.

  Returns:
    String[] - the array of identities
  Throws:
    `CSSException` - - any abnormality

### reAssignIdentity

    public void reAssignIdentity(java.lang.String originalIdentity,
                                 java.lang.String newIdentity)
                          throws CSSException

  Deprecated.

  Reassigns the identity of an entry. This is necessary when identities have changed in the directory.

  Parameters:
    `originalIdentity` - The identity as it was before being changed in the directory.
    `newIdentity` - The changed identity uniquely identifying a user or group in the directory.
  Throws:
    `CSSException` - - any abnormality

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2004 Hyperion Solutions Corporation. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD